#!/bin/sh

appName='amy'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX]'
  echo 'Parameters:'
  echo '  PV_PREFIX  PV name prefix (default: "amy:")'
  echo 'Example: control.sh'
  echo 'Example: control.sh amy2:'
  exit 0
fi

pvPrefix='amy:'
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  echo -n 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix" "${appName}Test.adl"
